import Utils from "../../utils/helper"

export default class {
  execute(properties, target, component) {
    if (Utils.settings.reactive) {
      const currentUrl = window.location.href
      const htmlUrl = Utils.url.htmlUrl(properties['url'])
      // Avoid inserting duplicate entries into history
      if (htmlUrl !== currentUrl) {
        Utils.http.execute(properties, "GET", component, (data, response) => {
          const redirectUrl = Utils.url.htmlUrl(response.url)
          window.vueApp.page = data
          Utils.history.pushPage(data, redirectUrl)
          Utils.history.restoreOnBackOrForward()
        })
      }
      else {
        console.warn('Refuse opening the same URL')
      }
    }
    else {
      window.location = Utils.url.htmlUrl(properties['url'])
    }
  }
}
